Subject: Re: flash for lite5200

From: White <[email-masked]>
Date: Tue, 18 Oct 2005 17:22:48 +0200

The Lite5200 has an official Port to 2.6 by Sylvain Munaut
<[email-masked]>

There is an Mapping MTD driver ready.

if it's not in vanilla, you found a patchset on Mailign archive or
on Sylvain's HP.

Am Mon, 17 Oct 2005 18:42:53 +0200 schrieb Alessandro Rubini
<[email-masked]> :

> 
> Hello.
> 
> I'm using linux-2.6.14-rc3-g4c234921 from denx, and I need to access
> the flash device.  While in 2.4 there is drivers/mtd/maps/icecube.c
> (by Wolfgang Denk himself, it seems), I managed to see the flash
> using the physmap driver and cmdline partitions.
> 
> Does it make sense to add the correct MTD settings to
> arch/ppc/configs/lite5200_defconfig (and some hints in
> Documentation/powerpc/mpc52xx.txt) without porting the whole of
> maps/icecube.c or is there a specific advantage in add a file in maps?
> -- well, besides having sensible partitions already ported from 2.4?
> 
> In either case, I'm willing to contribute the patch.
> 
> These are the winning settings for me, but it doesn't cope with
> lite5200 speciments with 8MBi of flash (are there any still around?)
> [there's more than strictly needed, actually]
> 
> CONFIG_MTD=y
> CONFIG_MTD_PARTITIONS=y
> CONFIG_MTD_CMDLINE_PARTS=y
> CONFIG_MTD_CHAR=y
> CONFIG_MTD_CFI=y
> CONFIG_MTD_GEN_PROBE=y
> CONFIG_MTD_MAP_BANK_WIDTH_1=y
> CONFIG_MTD_MAP_BANK_WIDTH_2=y
> CONFIG_MTD_MAP_BANK_WIDTH_4=y
> CONFIG_MTD_CFI_I1=y
> CONFIG_MTD_CFI_I2=y
> CONFIG_MTD_CFI_INTELEXT=y
> CONFIG_MTD_CFI_AMDSTD=y
> CONFIG_MTD_CFI_AMDSTD_RETRY=0
> CONFIG_MTD_CFI_UTIL=y
> 
> CONFIG_MTD_PHYSMAP=y
> CONFIG_MTD_PHYSMAP_START=0xff000000
> CONFIG_MTD_PHYSMAP_LEN=0x1000000
> CONFIG_MTD_PHYSMAP_BANKWIDTH=1
> 
> 
> /alessandro
> _______________________________________________
> Linuxppc-embedded mailing list
> [email-masked]
> https://ozlabs.org/mailman/listinfo/linuxppc-embedded
>